propellor-5.3.3: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell98

Propellor.Types.Bootloader

Synopsis

- data BootloaderInstalled
  - = GrubInstalled GrubTarget
  - | FlashKernelInstalled
  - | UbootInstalled (FilePath -> FilePath -> Property Linux)
- data GrubTarget
  - = PC
  - | EFI64
  - | EFI32
  - | Coreboot
  - | Xen

# Documentation

data BootloaderInstalled Source #

Boot loader installed on a host.

Constructors

GrubInstalled GrubTarget |
FlashKernelInstalled |
UbootInstalled (FilePath -> FilePath -> Property Linux) |

Instances

Show BootloaderInstalled Source # |
Methods showsPrec :: Int -> BootloaderInstalled -> ShowS show :: BootloaderInstalled -> String showList :: [BootloaderInstalled] -> ShowS
IsInfo [BootloaderInstalled] Source # |
Methods propagateInfo :: [BootloaderInstalled] -> PropagateInfo Source #

data GrubTarget Source #

Platforms that grub can boot.

Constructors

PC |
EFI64 |
EFI32 |
Coreboot |
Xen |